package cn.cecep.talroad.domain.analysis;


import cn.cecep.talroad.common.core.annotation.Excel;
import cn.cecep.talroad.common.core.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;


/**
 * 企业用电水平分析对象 s_ra_real_time_analysis_kwh
 *
 * @author szhpt
 * @date 2023-03-24
 */
@ApiModel(value = "企业用电水平分析")
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("s_ra_real_time_analysis_kwh")
public class SRaRealTimeAnalysisKwh extends BaseEntity {
    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "数据主键")
    /** 数据主键 */
    @TableId(value = "data_id", type = IdType.AUTO)
    private String dataId;


    @ApiModelProperty(value = "企业主键")
    /** 企业主键 */
    private String factoryId;


    @ApiModelProperty(value = "企业名称")
    /** 企业名称 */
    @Excel(name = "企业名称")
    private String factoryName;


    @ApiModelProperty(value = "行业类别名称(多个使用'、'拼接)")
    /** 行业类别名称(多个使用'、'拼接) */
    @Excel(name = "行业名称")
    private String industryCategoryName;


    @ApiModelProperty(value = "行业类别编码(多个使用'、'拼接)")
    /** 行业类别编码(多个使用'、'拼接) */
    private String industryCategoryCode;


    @ApiModelProperty(value = "区域名称")
    /** 区域名称 */
    @Excel(name = "区域")
    private String districtName;

    @ApiModelProperty(value = "年份(yyyy)")
    /** 年份(yyyy) */
    @Excel(name = "年份")
    private String year;


    @ApiModelProperty(value = "区域编码")
    /** 区域编码 */
    private String districtCode;


    @ApiModelProperty(value = "参数名称(污染物全写)")
    /** 参数名称(污染物全写) */
    private String paramName;


    @ApiModelProperty(value = "区域排名")
    /** 区域排名 */
    @Excel(name = "区域排名")
    private Long areaRank;


    @ApiModelProperty(value = "行业排名")
    /** 行业排名 */
    @Excel(name = "行业排名")
    private Long industryRank;


    @ApiModelProperty(value = "是否用电大户(0-否,1-是)")
    /** 是否用电大户(0-否,1-是) */
    @Excel(name = "是否用电大户",readConverterExp = "0=否,1=是")
    private String largeHouse;


    @ApiModelProperty(value = "用电规模")
    /** 用电规模 */
    @Excel(name = "用电规模")
    private String scale;


    @ApiModelProperty(value = "单位产品用电强度")
    /** 单位产品用电强度 */
    @Excel(name = "单位产品用电")
    private String vol;



    @ApiModelProperty(value = "参数编码(污染物简写)")
    /** 参数编码(污染物简写) */
    private String paramCode;


    @ApiModelProperty(value = "参数单位(污染物单位)")
    /** 参数单位(污染物单位) */
    private String paramUnit;


    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("dataId", getDataId())
                .append("factoryId", getFactoryId())
                .append("factoryName", getFactoryName())
                .append("industryCategoryName", getIndustryCategoryName())
                .append("industryCategoryCode", getIndustryCategoryCode())
                .append("districtName", getDistrictName())
                .append("districtCode", getDistrictCode())
                .append("paramName", getParamName())
                .append("areaRank", getAreaRank())
                .append("industryRank", getIndustryRank())
                .append("largeHouse", getLargeHouse())
                .append("scale", getScale())
                .append("vol", getVol())
                .append("updateTime", getUpdateTime())
                .append("createTime", getCreateTime())
                .append("year", getYear())
                .append("paramCode", getParamCode())
                .append("paramUnit", getParamUnit())
                .toString();
    }
}
